

<div class="middle-section">

    <!-- ============================================================
            Display for Vocabulary / Gender / Plural Training
    ============================================================  -->
    <div *ngIf="this.isNoun === true" id="nounTraining">
        <button type="button" class="btn btn-default btn-lg" (click)="showResponse()">
            <div *ngIf="this.orderOfTraining == 'Français'">
                <div *ngIf="this.results['wordType'] == 'Nom'">
                    {{ results.germanGender }} {{ results.word }} 
                </div>
                <div *ngIf="this.results['wordType'] == 'Verbe'">
                    {{ results.word}}
                </div>
                <div *ngIf="this.results['wordType'] == 'Expression' ||
                            this.results['wordType'] == 'Adverbe' ||
                            this.results['wordType'] == 'Adjectif' ||
                            this.results['wordType'] == 'Preposition' ||
                            this.results['wordType'] == 'Pronom'">
                    {{ results.word}}
                </div>
            </div>

            <div *ngIf="this.orderOfTraining == 'Deutsch'">
                <div *ngIf="this.results['wordType'] == 'Nom'">
                    {{ results.frenchGender }} {{ results.translation}} 
                </div>
                <div *ngIf="this.results['wordType'] == 'Verbe'">
                    {{ results.translation}}
                </div>
                <div *ngIf="this.results['wordType'] == 'Expression' ||
                            this.results['wordType'] == 'Adverbe' ||
                            this.results['wordType'] == 'Adjectif' ||
                            this.results['wordType'] == 'Preposition' ||
                            this.results['wordType'] == 'Pronom'">
                    {{ results.translation}}
                </div>
            </div>
        </button>
    </div>

    <div *ngIf="this.isNoun === true && this.responseAsked === true" id="nounTrainingAnswer">
        <button type="button" class="btn btn-default btn-lg">
            <div *ngIf="this.orderOfTraining == 'Deutsch'">
                <div *ngIf="this.results['wordType'] == 'Nom'">
                    {{ results.germanGender }} {{ results.word}}
                </div>
                <div *ngIf="this.results['wordType'] == 'Verbe'">
                    {{ results.word}}
                </div>
                <div *ngIf="this.results['wordType'] == 'Expression' ||
                            this.results['wordType'] == 'Adverbe' ||
                            this.results['wordType'] == 'Adjectif' ||
                            this.results['wordType'] == 'Preposition' ||
                            this.results['wordType'] == 'Pronom'">
                    {{ results.word}}
                </div>
            </div>

            <div *ngIf="this.orderOfTraining == 'Français'">
                <div *ngIf="this.results['wordType'] == 'Nom'">
                    {{ results.frenchGender }} {{ results.translation}} 
                </div>
                <div *ngIf="this.results['wordType'] == 'Verbe'">
                    {{ results.translation}}
                </div>
                <div *ngIf="this.results['wordType'] == 'Expression' ||
                            this.results['wordType'] == 'Adverbe' ||
                            this.results['wordType'] == 'Adjectif' ||
                            this.results['wordType'] == 'Preposition' ||
                            this.results['wordType'] == 'Pronom'">
                    {{ results.translation}}
                </div>
            </div>
        </button>
    </div>

    <div *ngIf="this.isNoun === true && this.tipsAsked === true" id="nounTrainingTip">
        <button type="button" class="btn btn-default btn-lg">
            <div *ngIf="this.orderOfTraining == 'Deutsch'">
                <div *ngIf="this.results['wordType'] == 'Nom'">
                    {{ tipWord }}
                </div>
                <div *ngIf="this.results['wordType'] == 'Verbe'">
                    {{ tipWord }}
                </div>
                <div *ngIf="this.results['wordType'] == 'Expression' ||
                            this.results['wordType'] == 'Adverbe' ||
                            this.results['wordType'] == 'Adjectif' ||
                            this.results['wordType'] == 'Preposition' ||
                            this.results['wordType'] == 'Pronom'">
                    {{ tipWord }}
                </div>
            </div>

            <div *ngIf="this.orderOfTraining == 'Français'">
                <div *ngIf="this.results['wordType'] == 'Nom'">
                    {{ tiptranslation }}
                </div>
                <div *ngIf="this.results['wordType'] == 'Verbe'">
                    {{ tiptranslation }}
                </div>
                <div *ngIf="this.results['wordType'] == 'Expression' ||
                            this.results['wordType'] == 'Adverbe' ||
                            this.results['wordType'] == 'Adjectif' ||
                            this.results['wordType'] == 'Preposition' ||
                            this.results['wordType'] == 'Pronom'">
                    {{ tiptranslation }}
                </div>
            </div>
        </button>
    </div>

    <!-- ============================================================
                    Display for irregular verbs Training
    ============================================================  -->
    <div *ngIf="this.isVerbs === true" id="verbsTraining" (click)="showResponse()">
        <button type="button" class="btn btn-default btn-lg">
            <div *ngIf="this.orderOfTraining == 'Deutsch'">
                {{ results.translation}}
            </div>
            <div *ngIf="this.orderOfTraining == 'Français'">
                {{ results.Infinitif}}
            </div>
        </button>
    </div>

    <div *ngIf="this.isVerbs === true && this.responseAsked === true" id="verbsTrainingAnswer">
        <button type="button" class="btn btn-default btn-lg">
            <div *ngIf="this.orderOfTraining == 'Français'">
                {{ results.translation}}
            </div>
            <div *ngIf="this.orderOfTraining == 'Deutsch'">
                {{ results.Infinitif}}
            </div>
        </button>
    </div>

    <div *ngIf="this.isVerbs === true && this.tipsAsked === true" id="verbsTrainingTip">
        <button type="button" class="btn btn-default btn-lg">
            <div *ngIf="this.orderOfTraining == 'Français'">
                {{ tipVtranslation }}
            </div>
            <div *ngIf="this.orderOfTraining == 'Deutsch'">
                {{ tipVInfinitif }}
            </div>
        </button>
    </div>

    <!-- ============================================================
                    Display for declinaison Training
    ============================================================  -->
    <div *ngIf="this.isDeclinaison === true" id="declinaisonTraining" (click)="showResponse()">
        <button type="button" class="btn btn-default btn-lg">
            {{ results.Cas}} / {{ results.gender}} / {{ results.Type}}
        </button>
    </div>

    <div *ngIf="this.isDeclinaison === true && this.responseAsked === true" id="declinaisonTrainingAnswer">
        <button type="button" class="btn btn-default btn-lg">
            {{ results.Reponse}}
        </button>
    </div>

    <!-- ============================================================
                                Footer
    ============================================================  -->

    <div>


        <div class="progress">
            <div id="bar" class="progress-bar progress-bar-warning" role="progressbar" [style.width]="progressBar()">
                {{ progress }} %
            </div>
        </div>

        <footer id="entrainement">
            <button type="button" class="btn btn-default" id="loose-button">
                <i class="far fa-thumbs-down fa-2x" aria-hidden="true" (click)="reduceRepetition('loose')"></i>
            </button>
            <button type="button" class="btn btn-default" id="superLike">
                <i class="far fa-heart fa-2x" aria-hidden="true" (click)="superLike()"></i>
            </button>

            <button *ngIf="this.isNoun === true" type="button" class="btn btn-default" id="hint">
                <i class="far fa-lightbulb fa-2x" aria-hidden="true" (click)="displayNounTips()"></i>
            </button>
            <button *ngIf="this.isVerbs === true" type="button" class="btn btn-default" id="hint">
                <i class="far fa-lightbulb fa-2x" aria-hidden="true" (click)="displayVerbsTips()"></i>
            </button>

            <button type="button" class="btn btn-default" id="win-button">
                <i class="far fa-thumbs-up fa-2x" aria-hidden="true" (click)="reduceRepetition('win')"></i>
            </button>
        </footer>

    </div>


</div>
